%{

#include <string.h>	/* for strcmp, strdup & friends */
#include <stdio.h>	/* for strcmp, strdup & friends */
#include <stdlib.h>	/* for atoi() */

#include "parser.h"	/* (TK_) symbols from parser.y */

%}

%%
[ \t\r\n]	        break;

"("                     return TK_LPAR;
")"                     return TK_RPAR;

"+"                     return TK_PLUS;
"-"                     return TK_MINUS;
"*"                     return TK_MUL;

/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */
/* A COMPLETER                                                       */
                        { 
                          yylval.integer = atoi(yytext); 
                          return TK_NUM; 
                        }

/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */


.			{
			  fprintf(stderr,
				"Illegal character with code %d on"
				"line #%d\n",
				*yytext, line_number);
			  exit(1);
			}
